#include <iostream>
#include <algorithm>
using namespace std;

int broj_kuca;
int koordinate_kuce;
int najdalja_levo;
int najdalja_desno;

void Unos() 
{
	cin >> broj_kuca;
	cin >> koordinate_kuce;

	najdalja_levo = koordinate_kuce;
	najdalja_desno = koordinate_kuce;
	for (int i = 0; i < broj_kuca; i++)
	{
		int x;
		cin >> x;
		if (x > koordinate_kuce && x > najdalja_desno)
		{
			najdalja_desno = x;
		}
		else if (x < najdalja_levo)
		{
			najdalja_levo = x;
		}
	}
}

int main()
{
	Unos();

	int udaljenost_levo = koordinate_kuce - najdalja_levo;
	int udaljenost_desno = najdalja_desno - koordinate_kuce;
	cout << min(udaljenost_levo, udaljenost_desno) * 2 + max(udaljenost_levo, udaljenost_desno);
}